BoxGraphics - Cesium Documentation

# BoxGraphics

#### new BoxGraphics(options)

  Describes a box. The center position and orientation are determined by the containing `Entity`.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `dimensions` | Property |  | optional A `Cartesian3` Property specifying the length, width, and height of the box.
  `show` | Property | `true` | optional A boolean Property specifying the visibility of the box.
  `fill` | Property | `true` | optional A boolean Property specifying whether the box is filled with the provided material.
  `material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to fill the box.
  `outline` | Property | `false` | optional A boolean Property specifying whether the box is outlined.
  `outlineColor` | Property | `Color.BLACK` | optional A Property specifying the `Color` of the outline.
  `outlineWidth` | Property | `1.0` | optional A numeric Property specifying the width of the outline.

  ##### Demo:

  - Cesium Sandcastle Box Demo
  Source: DataSources/BoxGraphics.js, line 37

### Members

#### readonlydefinitionChanged :Event

  Gets the event that is raised whenever a property or sub-property is changed or modified.
  Source: DataSources/BoxGraphics.js, line 64

#### dimensions :Property

  Gets or sets `Cartesian3` Property property specifying the length, width, and height of the box.
  Source: DataSources/BoxGraphics.js, line 83

#### fill :Property

  Gets or sets the boolean Property specifying whether the box is filled with the provided material.
  Default Value: `true`
  Source: DataSources/BoxGraphics.js, line 99

#### material :MaterialProperty

  Gets or sets the material used to fill the box.
  Default Value: `Color.WHITE`
  Source: DataSources/BoxGraphics.js, line 91

#### outline :Property

  Gets or sets the Property specifying whether the box is outlined.
  Default Value: `false`
  Source: DataSources/BoxGraphics.js, line 107

#### outlineColor :Property

  Gets or sets the Property specifying the `Color` of the outline.
  Default Value: `Color.BLACK`
  Source: DataSources/BoxGraphics.js, line 115

#### outlineWidth :Property

  Gets or sets the numeric Property specifying the width of the outline.
  Default Value: `1.0`
  Source: DataSources/BoxGraphics.js, line 123

#### show :Property

  Gets or sets the boolean Property specifying the visibility of the box.
  Default Value: `true`
  Source: DataSources/BoxGraphics.js, line 76

### Methods

#### clone(result) → BoxGraphics

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | BoxGraphics | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance if one was not provided.
  Source: DataSources/BoxGraphics.js, line 132

#### merge(source)

  Assigns each unassigned property on this object to the value of the same property on the provided source object.

  Name | Type | Description
  --- | --- | ---
  `source` | BoxGraphics | The object to be merged into this object.

  Source: DataSources/BoxGraphics.js, line 152